Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Is it possible to sync a Ubuntu computer with a Lubuntu computer with Ubuntu One? Can you install Ubuntu One on Lubuntu with no problems?

share|improve this question
add comment

4 Answers

up vote 11 down vote accepted

11.10 and previous versions

Lubuntu uses the same base as Ubuntu, so once you install the Ubuntu One client, everything should be fine. Note though that you will not get the same level of integration with PCManFM that you do with Nautilus.

The best UbuntuOne client package to install is ubuntuone-client-gtk. You can install this in the Synaptic Package Manager (present by default on Lubuntu systems), in the Software Center (if you have that installed), or in the LXTerminal by running sudo apt-get update followed by sudo apt-get install ubuntuone-client-gtk.

share|improve this answer
    
I'm editing this to include brief installation instructions, as (1) it would be undesirable to install ubuntu-client-gnome since it would pull in GNOME packages as fossfreedom has commented, and (2) Lubuntu doesn't have software-center installed by default. –  Eliah Kagan Nov 28 '11 at 2:10
    
@EliahKagan: it has a lubuntu-software-center no? Thanks btw. –  RolandiXor Nov 28 '11 at 3:03
1  
software-center is installable on Lubuntu and works fine, but it is not installed by default. Lubuntu uses synaptic as the default graphical utility for installing and removing packages. There is no lubuntu-software-center package. –  Eliah Kagan Nov 28 '11 at 3:10
    
Not a package, but I remember there being a software center for lubuntu (don't know the package name as I don't normally log in to Lubuntu's session or check for it's specifics :P) –  RolandiXor Nov 28 '11 at 3:45
1  
I'd used Lubuntu actively for years and not heard of this, but that didn't mean it isn't so...so I looked into it. I'm glad I did. It turns out that there is a lubuntu-software-center package, but it doesn't ship with any Lubuntu release (including Lubuntu 11.10). It appears that it was supposed to, but that it wasn't ready in time for Oneiric's release. It can be installed from the lubuntu-desktop PPA. Thanks for mentioning this! –  Eliah Kagan Nov 28 '11 at 3:56
add comment

12.04 and above

From Precise, the GTK version of UbuntuOne is no longer supported.

However is now an officially supported QT version of the Ubuntu-One client.

enter image description here

Whilst this QT-based app will adapt to your desktop-look, you have the option to make subtle changes via the QT-configuration utility qt-config

how to install ubuntuone

sudo apt-get install ubuntuone-control-panel-qt

how to install qt-config

sudo apt-get install qtconfig-qt4
share|improve this answer
    
Why I need qt-config? –  Vitaly Zdanevich Jun 22 '13 at 14:28
    
@VitalyZdanevich - if you dont like the default look of this QT application - use qtconfig to change to one of the other QT themes. –  fossfreedom Jun 22 '13 at 15:02
    
I can confirm this works for Lubuntu 13.10 too. –  pablofiumara Nov 24 '13 at 18:38
add comment

To get a little closer to Ubuntu integration, there is a tip elsewhere where you can add an option to right click on a folder to share it.

  1. Start with a folder you want to share.
  2. Right click on it.
  3. Open With...
  4. Custom Command Line
  5. u1sdtool --create-folder %f

Now future folders should have that command in the context menu.

share|improve this answer
    
That's a very Nice tip! –  Uri Herrera Nov 28 '11 at 2:17
add comment

Use the command sudo apt-get install ubuntuone-client-gnome.

share|improve this answer
6  
actually ubuntuone-client-gtk would be better so that you dont install gnome dependencies. –  fossfreedom Sep 22 '11 at 14:38
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.